Пару вопросов от новичка по администрированию и минимальной настройке

Тема в разделе "Десктопный Linux", создана пользователем grixann, 5 ноя 2009.

Статус темы:
Закрыта.
Модераторы: Цукер
  1. grixann

    grixann

    Регистр.:
    8 фев 2009
    Сообщения:
    443
    Симпатии:
    41
    Все очень просто купил vds и не могу с ним справиться есть куча проблем и вопросов в основном как сделать
    1.Как добавить новый независимый домен ?
    2.Как добавить под домен к уже существующему домену ?
    3.Как создать пользователя mql ?
    4.Как создать базу mql и потом подключить к ней пользователя ?
    5.Как создать пользователя ftp для разных доменов ?
    ОС. debian 5.0
    Имею права root пользователя , на панель не хватает оперативки
    Вообщем подскажите как все это сделать при помощи ssh протактиний

    За ранее спасибо
     
  2. tostrss

    tostrss

    Регистр.:
    16 окт 2007
    Сообщения:
    771
    Симпатии:
    217
    http://eyewink.fatal.ru/wcoding/apache_virtualhosts.php


    http://www.bog.pp.ru/work/mysql.html

    В раздел "Права доступа"


    Про фтп, а также мини-статью обобщающую все первоначальные настройки
    http://easylinux.ru/node/265
     
    grixann нравится это.
  3. grixann

    grixann

    Регистр.:
    8 фев 2009
    Сообщения:
    443
    Симпатии:
    41
    А сеть что-то для тех кто в танке ? Много не понял пытался сделать все по малуалу но нечего толком не получилось :(
     
  4. tostrss

    tostrss

    Регистр.:
    16 окт 2007
    Сообщения:
    771
    Симпатии:
    217
    Описывай по пунктам что ты делаешь, поможем.

    Для тех кто в танке, таких мануалов нету.
     
  5. grixann

    grixann

    Регистр.:
    8 фев 2009
    Сообщения:
    443
    Симпатии:
    41
    переустановил систему , изначально обновляю систему
    PHP:
    apt-get update,apt-get upgrade
    потому устанавливаю сервер Lighttpd
    PHP:
    apt-get install lighttpd
    устанавливаю php и mysql
    PHP:
    apt-get install php5-cgi php5-mysql php5-cli mysql-server mysql-client
    Получил ошибку "как я понял "
    PHP:
    Errors were encountered while processing:
     
    exim4-config
     exim4
    -base
     exim4
    -daemon-light
     exim4
     bsd
    -mailx
     ucf
     php5
    -cgi
     php5
    -cli
     php5
    -mysql
     proftpd
    -basic
     proftpd
    -mod-mysql
     proftpd
    -mod-pgsql
     proftpd
    -mod-ldap
     proftpd
     mailx
    E
    Sub-process /usr/bin/dpkg returned an error code (1)
    как это исправить ? , пока продолжаю дальше
    теперь пытаюсь установить proftpd
    PHP:
    apt-get install proftpd
    В итоге получил ошибки и решил дальше не продолжать!
    PHP:
    Errors were encountered while processing:
     
    exim4-config
     exim4
    -base
     exim4
    -daemon-light
     exim4
     bsd
    -mailx
     ucf
     php5
    -cgi
     php5
    -cli
     php5
    -mysql
     mailx
     proftpd
    -basic
     proftpd
    -mod-mysql
     proftpd
    -mod-pgsql
     proftpd
    -mod-ldap
     proftpd
    Этот запрос используется для входа в mysql
    PHP:
    mysql -u root
    но при попытке его ввести получаю ошибку
    PHP:
    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using passwordN   O)
    как ее исправить ?
    Как я понял чтобы создать базу нужно выполнить запрос ?
    PHP:
    create database имя базы;
    Пользователем етой базы будет root , и заходим через этот запрос
    PHP:
    mysql -u root -p
    ?
    Нормально зашел в базу через этот запрос
    Этот запрос для выбора базы с которой работаем
    PHP:
    use proftpd;
    Запросы и работу с mysql я понял
    но с группами пользователей туго
    За что это отвечает я не знаю и не кчему у меня не привело выполнение этой команды И все что дальше мне вообще не понятно
    PHP:
    groupadd ftp 
    useradd ftp 
    -/sbin/nologin -/dev/null -g ftp
    Как настраивать квоты и скрипты ?
    как добавлять группы пользователей ?
    Как создавать папки и устанавливать на них права доступа ?
     
  6. IgVan

    IgVan

    Регистр.:
    8 май 2008
    Сообщения:
    212
    Симпатии:
    54
    По поводу ошибок установки нужо посмотреть детальный лог или лучше задрачивать суппорт.
    По поводу mysql не понял в чем проблема:
    если заходишь так: mysql -u root то это фактически значит, запускаю mysql от имени рута, у которого пустой пароль. Т.к. у тебя есть рутовый пароль, то надо заходить так: mysql -u root -p Этим самым ты говоришь что у рута есть папроль, но чтоб его не палить, вводится пустой ключ и потом mysql спросит пароль.
    С созданием пользователей совсем все просто, во-первых, реши а нужны ли тебе там пользователи? В *NIX подобных системах права доступа настраиваются так: для пользователя-владельца, для группы в которую входит пользователь, для все остальных. Соответсвенно, надо создавать пользователя и он должен быть членом какой-нить группы, обычно, если небольшой сервер, то имя группы=имени пользователя, за исключением root который входит в группу wheel.
    По твоим командам:
    groupadd ftp
    создал группу FTP
    useradd ftp -s /sbin/nologin -d /dev/null -g ftp
    создал пользователя ftp, входящего в группу ftp (это для выставления прав), shell у этого пользователя как и домашнего каталога не будет, а значит, по ФТП можно будет зайти этим пользователем, а по SSH зайти не получится, это делается для безопасности.
    С правами очень просто: например, в апаче есть юзер www и группа www, ты залил скрипт на сервер с правами root, соответсвенно, меняем владельца файлов:
    chown -R www:www /usr/local/www/
    теперь их владелец - пользователь www.
    Выставляем права:
    1 - право на выполнение (для скриптов)
    2 - запись (изменение файла)
    4 - чтение
    сплюсовываем все значения чтоб получилось нужное право и пишем трижды: для владельца, группы и всех остальных:
    chmod 777 file.js
    все могут читать, редактировать и выполнять скрипт (так лучше не делать)
    chmod 644 index.html
    владелец может читать и редактировать файл, все остальные только читать (html не исполняемый файл, поэтому ему не нужно право на выполнение).
    На папки надо ставить правила так:
    chmod 755 directory/
    Чтоб зайти в каталог нужно право на выполнение (владелец может заходить в каталог, просматривать его и редактировать содержимое, остальные - заходить и просматривать содержимое).
    В общем, для начала хватит, а лучше, купи умную книжку :)
     
    grixann нравится это.
  7. grixann

    grixann

    Регистр.:
    8 фев 2009
    Сообщения:
    443
    Симпатии:
    41
    Попытался выполнить установку
    PHP:
    apt-get install amavisd-new spamassassin clamav clamav-daemon zoo unzip bzip2 arj nomarch lzop cabextract apt-listchanges libnet-ldap-perl libauthen-sasl-perl clamav-docs daemon libio-string-perl libio-socket-ssl-perl libnet-ident-perl zip libnet-dns-perl
    В и итоге получил ошибку , как исправить и почему она произошла ?
    PHP:
    buhalych:~# apt-get install amavisd-new spamassassin clamav clamav-daemon zoo unzip bzip2 arj nomarch lzop cabextract apt-listchanges libnet-ldap-perl libauthen-sasl-perl clamav-docs daemon libio-string-perl libio-socket-ssl-perl libnet-ident-perl zip libnet-dns-perl
    Reading package lists... Done
    Building dependency tree       
    Reading state information
    ... Done
    unzip is already the newest version
    .
    bzip2 is already the newest version.
    The following extra packages will be installed:
      
    clamav-base clamav-freshclam cpp cpp-4.3 gcc gcc-4.3 libarchive-zip-perl
      libberkeleydb
    -perl libc6-dev libclamav6 libcompress-raw-zlib-perl
      libcompress
    -zlib-perl libconvert-asn1-perl libconvert-tnef-perl
      libconvert
    -uulib-perl libdigest-hmac-perl libdigest-sha1-perl liberror-perl
      libgmp3c2 libgomp1 libio
    -compress-base-perl libio-compress-zlib-perl
      libio
    -multiplex-perl libio-socket-inet6-perl liblzo2-2 libmail-spf-perl
      libmpfr1ldbl libnet
    -cidr-perl libnet-ip-perl libnet-libidn-perl
      libnet
    -server-perl libnetaddr-ip-perl libsocket6-perl
      libsys
    -hostname-long-perl libsys-syslog-perl libtommath0 libunix-syslog-perl
      linux
    -libc-dev python-apt python-central re2c spamc
    Suggested packages
    :
      
    lha unrar dspam libmail-dkim-perl x-terminal-emulator python-glade2
      python
    -gtk2 cpp-doc gcc-4.3-locales gcc-multilib manpages-dev autoconf
      automake1.9 libtool flex bison gdb gcc
    -doc gcc-4.3-multilib
      libmudflap0
    -4.3-dev gcc-4.3-doc libgcc1-dbg libgomp1-dbg libmudflap0-dbg
      libgssapi
    -perl glibc-doc libclamunrar6 libxml-parser-perl libxml-sax-perl
      python
    -apt-dbg razor pyzor
    The following 
    NEW packages will be installed:
      
    amavisd-new apt-listchanges arj cabextract clamav clamav-base clamav-daemon
      clamav
    -docs clamav-freshclam cpp cpp-4.3 daemon gcc gcc-4.3
      libarchive
    -zip-perl libauthen-sasl-perl libberkeleydb-perl libc6-dev
      libclamav6 libcompress
    -raw-zlib-perl libcompress-zlib-perl
      libconvert
    -asn1-perl libconvert-tnef-perl libconvert-uulib-perl
      libdigest
    -hmac-perl libdigest-sha1-perl liberror-perl libgmp3c2 libgomp1
      libio
    -compress-base-perl libio-compress-zlib-perl libio-multiplex-perl
      libio
    -socket-inet6-perl libio-socket-ssl-perl libio-string-perl liblzo2-2
      libmail
    -spf-perl libmpfr1ldbl libnet-cidr-perl libnet-dns-perl
      libnet
    -ident-perl libnet-ip-perl libnet-ldap-perl libnet-libidn-perl
      libnet
    -server-perl libnetaddr-ip-perl libsocket6-perl
      libsys
    -hostname-long-perl libsys-syslog-perl libtommath0 libunix-syslog-perl
      linux
    -libc-dev lzop nomarch python-apt python-central re2c spamassassin
      spamc zip zoo
    0 upgraded
    61 newly installed0 to remove and 0 not upgraded.
    Need to get 40.1MB of archives.
    After this operation74.9MB of additional disk space will be used.
    Do 
    you want to continue [Y/n]? y
    Get
    :1 http://ftp.de.debian.org lenny/main python-central 0.6.8 [40.4kB]
    Get:2 http://ftp.de.debian.org lenny/main python-apt 0.7.7.1+nmu1 [229kB]
    Get:3 http://ftp.de.debian.org lenny/main apt-listchanges 2.83 [78.7kB]
    Get:4 http://ftp.de.debian.org lenny/main arj 3.10.22-6 [252kB]                
    Get:5 http://ftp.de.debian.org lenny/main cabextract 1.2-3 [53.8kB]            
    Get:6 http://ftp.de.debian.org lenny/main libtommath0 0.39-3 [56.4kB]          
    Get:7 http://ftp.de.debian.org lenny/volatile/main libclamav6 0.95.2+dfsg-1~volatile1 [570kB]
    Get:8 http://ftp.de.debian.org lenny/volatile/main clamav-base 0.95.2+dfsg-1~volatile1 [22.3MB]
    Get:9 http://ftp.de.debian.org lenny/volatile/main clamav-freshclam 0.95.2+dfsg-1~volatile1 [280kB]
    Get:10 http://ftp.de.debian.org lenny/volatile/main clamav 0.95.2+dfsg-1~volatile1 [274kB]
    Get:11 http://ftp.de.debian.org lenny/volatile/main clamav-daemon 0.95.2+dfsg-1~volatile1 [374kB]
    Get:12 http://ftp.de.debian.org lenny/volatile/main clamav-docs 0.95.2+dfsg-1~volatile1 [1118kB]
    Get:13 http://ftp.de.debian.org lenny/main libgmp3c2 2:4.2.2+dfsg-3 [207kB]    
    Get:14 http://ftp.de.debian.org lenny/main libmpfr1ldbl 2.3.1.dfsg.1-2 [347kB] 
    Get:15 http://ftp.de.debian.org lenny/main cpp-4.3 4.3.2-1.1 [3370kB]          
    Get:16 http://ftp.de.debian.org lenny/main cpp 4:4.3.2-2 [13.9kB]              
    Get:17 http://ftp.de.debian.org lenny/main daemon 0.6.3-1 [101kB]              
    Get:18 http://ftp.de.debian.org lenny/main libgomp1 4.3.2-1.1 [15.5kB]         
    Get:19 http://ftp.de.debian.org lenny/main gcc-4.3 4.3.2-1.1 [2600kB]          
    Get:20 http://ftp.de.debian.org lenny/main gcc 4:4.3.2-2 [5028B]               
    Get:21 http://ftp.de.debian.org lenny/main libcompress-raw-zlib-perl 2.012-1lenny1 [57.3kB]
    Get:22 http://ftp.de.debian.org lenny/main libio-compress-base-perl 2.012-1 [59.4kB]
    Get:23 http://ftp.de.debian.org lenny/main libio-compress-zlib-perl 2.012-1 [148kB]
    Get:24 http://ftp.de.debian.org lenny/main libcompress-zlib-perl 2.012-1 [36.7kB]
    Get:25 http://ftp.de.debian.org lenny/main libarchive-zip-perl 1.18-1 [90.4kB] 
    Get:26 http://ftp.de.debian.org lenny/main libauthen-sasl-perl 2.12-1 [47.8kB] 
    Get:27 http://ftp.de.debian.org lenny/main libberkeleydb-perl 0.34-1+b1 [146kB]
    Get:28 http://ftp.de.debian.org lenny/updates/main linux-libc-dev 2.6.26-19lenny2 [750kB]
    Get:29 http://ftp.de.debian.org lenny/main libc6-dev 2.7-18 [2498kB]           
    Get:30 http://ftp.de.debian.org lenny/main libconvert-asn1-perl 0.21-1 [42.4kB]
    Get:31 http://ftp.de.debian.org lenny/main libconvert-tnef-perl 0.17-8 [22.7kB]
    Get:32 http://ftp.de.debian.org lenny/main libconvert-uulib-perl 1.11-1 [116kB]
    Get:33 http://ftp.de.debian.org lenny/main libdigest-sha1-perl 2.11-2+b1 [25.6kB]
    Get:34 http://ftp.de.debian.org lenny/main libdigest-hmac-perl 1.01-7 [10.5kB] 
    Get:35 http://ftp.de.debian.org lenny/main liberror-perl 0.17-1 [23.6kB]       
    Get:36 http://ftp.de.debian.org lenny/main libio-multiplex-perl 1.09-2 [21.9kB]
    Get:37 http://ftp.de.debian.org lenny/main libsocket6-perl 0.20-1 [28.3kB]     
    Get:38 http://ftp.de.debian.org lenny/main libio-socket-inet6-perl 2.54-1 [15.0kB]
    Get:39 http://ftp.de.debian.org lenny/main libio-socket-ssl-perl 1.16-1+lenny1 [54.2kB]
    Get:40 http://ftp.de.debian.org lenny/main libio-string-perl 1.08-2 [12.0kB]   
    Get:41 http://ftp.de.debian.org lenny/main liblzo2-2 2.03-1 [56.7kB]           
    Get:42 http://ftp.de.debian.org lenny/main libnetaddr-ip-perl 4.007+dfsg-2+b1 [96.8kB]
    Get:43 http://ftp.de.debian.org lenny/main libnet-ip-perl 1.25-2 [30.2kB]      
    Get:44 http://ftp.de.debian.org lenny/main libnet-dns-perl 0.63-2 [267kB]      
    Get:45 http://ftp.de.debian.org lenny/main libmail-spf-perl 2.005-1 [121kB]    
    Get:46 http://ftp.de.debian.org lenny/main libnet-cidr-perl 0.11-3 [14.8kB]    
    Get:47 http://ftp.de.debian.org lenny/main libnet-ident-perl 1.20-5 [25.5kB]   
    Get:48 http://ftp.de.debian.org lenny/main libnet-ldap-perl 1:0.36-1 [350kB]   
    Get:49 http://ftp.de.debian.org lenny/main libnet-libidn-perl 0.07-1+b1 [23.9kB]
    Get:50 http://ftp.de.debian.org lenny/main libnet-server-perl 0.97-1 [141kB]   
    Get:51 http://ftp.de.debian.org lenny/main libsys-hostname-long-perl 1.4-2 [11.3kB]
    Get:52 http://ftp.de.debian.org lenny/main libsys-syslog-perl 0.26-1 [40.3kB]  
    Get:53 http://ftp.de.debian.org lenny/main libunix-syslog-perl 1.1-2 [32.4kB]  
    Get:54 http://ftp.de.debian.org lenny/main lzop 1.02~rc1-2 [43.3kB]            
    Get:55 http://ftp.de.debian.org lenny/main nomarch 1.4-1 [17.1kB]              
    Get:56 http://ftp.de.debian.org lenny/main re2c 0.13.5-1 [221kB]               
    Get:57 http://ftp.de.debian.org lenny/main spamassassin 3.2.5-2+lenny1 [1100kB]
    Get:58 http://ftp.de.debian.org lenny/main spamc 3.2.5-2+lenny1 [73.5kB]       
    Get:59 http://ftp.de.debian.org lenny/main zip 2.32-1 [117kB]                  
    Get:60 http://ftp.de.debian.org lenny/main zoo 2.10-21 [64.3kB]                
    Get:61 http://ftp.de.debian.org lenny/main amavisd-new 1:2.6.1.dfsg-1 [830kB]  
    Fetched 40.1MB in 3min29s (192kB/s)                                            
    Extracting templates from packages100%
    Preconfiguring packages ...
    open2fork failedCannot allocate memory at /usr/share/perl5/Debconf/ConfModule.pm line 59
    Selecting previously deselected package python
    -central.
    (
    Reading database ... 25950 files and directories currently installed.)
    Unpacking python-central (from .../python-central_0.6.8_all.deb) ...
    Selecting previously deselected package python-apt.
    Unpacking python-apt (from .../python-apt_0.7.7.1+nmu1_amd64.deb) ...
    Selecting previously deselected package apt-listchanges.
    Unpacking apt-listchanges (from .../apt-listchanges_2.83_all.deb) ...
    Selecting previously deselected package arj.
    Unpacking arj (from .../arj_3.10.22-6_amd64.deb) ...
    Selecting previously deselected package cabextract.
    Unpacking cabextract (from .../cabextract_1.2-3_amd64.deb) ...
    Selecting previously deselected package libtommath0.
    Unpacking libtommath0 (from .../libtommath0_0.39-3_amd64.deb) ...
    Selecting previously deselected package libclamav6.
    Unpacking libclamav6 (from .../libclamav6_0.95.2+dfsg-1~volatile1_amd64.deb) ...
    Selecting previously deselected package clamav-base.
    Unpacking clamav-base (from .../clamav-base_0.95.2+dfsg-1~volatile1_all.deb) ...
    Selecting previously deselected package clamav-freshclam.
    Unpacking clamav-freshclam (from .../clamav-freshclam_0.95.2+dfsg-1~volatile1_amd64.deb) ...
    Selecting previously deselected package clamav.
    Unpacking clamav (from .../clamav_0.95.2+dfsg-1~volatile1_amd64.deb) ...
    Selecting previously deselected package clamav-daemon.
    Unpacking clamav-daemon (from .../clamav-daemon_0.95.2+dfsg-1~volatile1_amd64.deb) ...
    Selecting previously deselected package clamav-docs.
    Unpacking clamav-docs (from .../clamav-docs_0.95.2+dfsg-1~volatile1_all.deb) ...
    Selecting previously deselected package libgmp3c2.
    Unpacking libgmp3c2 (from .../libgmp3c2_2%3a4.2.2+dfsg-3_amd64.deb) ...
    Selecting previously deselected package libmpfr1ldbl.
    Unpacking libmpfr1ldbl (from .../libmpfr1ldbl_2.3.1.dfsg.1-2_amd64.deb) ...
    Selecting previously deselected package cpp-4.3.
    Unpacking cpp-4.3 (from .../cpp-4.3_4.3.2-1.1_amd64.deb) ...
    Selecting previously deselected package cpp.
    Unpacking cpp (from .../cpp_4%3a4.3.2-2_amd64.deb) ...
    Selecting previously deselected package daemon.
    Unpacking daemon (from .../daemon_0.6.3-1_amd64.deb) ...
    Selecting previously deselected package libgomp1.
    Unpacking libgomp1 (from .../libgomp1_4.3.2-1.1_amd64.deb) ...
    Selecting previously deselected package gcc-4.3.
    Unpacking gcc-4.3 (from .../gcc-4.3_4.3.2-1.1_amd64.deb) ...
    Selecting previously deselected package gcc.
    Unpacking gcc (from .../gcc_4%3a4.3.2-2_amd64.deb) ...
    Selecting previously deselected package libcompress-raw-zlib-perl.
    Unpacking libcompress-raw-zlib-perl (from .../libcompress-raw-zlib-perl_2.012-1lenny1_amd64.deb) ...
    Selecting previously deselected package libio-compress-base-perl.
    Unpacking libio-compress-base-perl (from .../libio-compress-base-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libio-compress-zlib-perl.
    Unpacking libio-compress-zlib-perl (from .../libio-compress-zlib-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libcompress-zlib-perl.
    Unpacking libcompress-zlib-perl (from .../libcompress-zlib-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libarchive-zip-perl.
    Unpacking libarchive-zip-perl (from .../libarchive-zip-perl_1.18-1_all.deb) ...
    Selecting previously deselected package libauthen-sasl-perl.
    Unpacking libauthen-sasl-perl (from .../libauthen-sasl-perl_2.12-1_all.deb) ...
    Selecting previously deselected package libberkeleydb-perl.
    Unpacking libberkeleydb-perl (from .../libberkeleydb-perl_0.34-1+b1_amd64.deb) ...
    Selecting previously deselected package linux-libc-dev.
    Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.26-19lenny2_amd64.deb) ...
    Selecting previously deselected package libc6-dev.
    Unpacking libc6-dev (from .../libc6-dev_2.7-18_amd64.deb) ...
    Selecting previously deselected package libconvert-asn1-perl.
    Unpacking libconvert-asn1-perl (from .../libconvert-asn1-perl_0.21-1_all.deb) ...
    Selecting previously deselected package libconvert-tnef-perl.
    Unpacking libconvert-tnef-perl (from .../libconvert-tnef-perl_0.17-8_all.deb) ...
    Selecting previously deselected package libconvert-uulib-perl.
    Unpacking libconvert-uulib-perl (from .../libconvert-uulib-perl_1.11-1_amd64.deb) ...
    Selecting previously deselected package libdigest-sha1-perl.
    Unpacking libdigest-sha1-perl (from .../libdigest-sha1-perl_2.11-2+b1_amd64.deb) ...
    Selecting previously deselected package libdigest-hmac-perl.
    Unpacking libdigest-hmac-perl (from .../libdigest-hmac-perl_1.01-7_all.deb) ...
    Selecting previously deselected package liberror-perl.
    Unpacking liberror-perl (from .../liberror-perl_0.17-1_all.deb) ...
    Selecting previously deselected package libio-multiplex-perl.
    Unpacking libio-multiplex-perl (from .../libio-multiplex-perl_1.09-2_all.deb) ...
    Selecting previously deselected package libsocket6-perl.
    Unpacking libsocket6-perl (from .../libsocket6-perl_0.20-1_amd64.deb) ...
    Selecting previously deselected package libio-socket-inet6-perl.
    Unpacking libio-socket-inet6-perl (from .../libio-socket-inet6-perl_2.54-1_all.deb) ...
    Selecting previously deselected package libio-socket-ssl-perl.
    Unpacking libio-socket-ssl-perl (from .../libio-socket-ssl-perl_1.16-1+lenny1_all.deb) ...
    Selecting previously deselected package libio-string-perl.
    Unpacking libio-string-perl (from .../libio-string-perl_1.08-2_all.deb) ...
    Selecting previously deselected package liblzo2-2.
    Unpacking liblzo2
    -(from .../liblzo2-2_2.03-1_amd64.deb) ...
    Selecting previously deselected package libnetaddr-ip-perl.
    Unpacking libnetaddr-ip-perl (from .../libnetaddr-ip-perl_4.007+dfsg-2+b1_amd64.deb) ...
    Selecting previously deselected package libnet-ip-perl.
    Unpacking libnet-ip-perl (from .../libnet-ip-perl_1.25-2_all.deb) ...
    Selecting previously deselected package libnet-dns-perl.
    Unpacking libnet-dns-perl (from .../libnet-dns-perl_0.63-2_amd64.deb) ...
    Selecting previously deselected package libmail-spf-perl.
    Unpacking libmail-spf-perl (from .../libmail-spf-perl_2.005-1_all.deb) ...
    Selecting previously deselected package libnet-cidr-perl.
    Unpacking libnet-cidr-perl (from .../libnet-cidr-perl_0.11-3_all.deb) ...
    Selecting previously deselected package libnet-ident-perl.
    Unpacking libnet-ident-perl (from .../libnet-ident-perl_1.20-5_all.deb) ...
    Selecting previously deselected package libnet-ldap-perl.
    Unpacking libnet-ldap-perl (from .../libnet-ldap-perl_1%3a0.36-1_all.deb) ...
    Selecting previously deselected package libnet-libidn-perl.
    Unpacking libnet-libidn-perl (from .../libnet-libidn-perl_0.07-1+b1_amd64.deb) ...
    Selecting previously deselected package libnet-server-perl.
    Unpacking libnet-server-perl (from .../libnet-server-perl_0.97-1_all.deb) ...
    Selecting previously deselected package libsys-hostname-long-perl.
    Unpacking libsys-hostname-long-perl (from .../libsys-hostname-long-perl_1.4-2_all.deb) ...
    Selecting previously deselected package libsys-syslog-perl.
    Unpacking libsys-syslog-perl (from .../libsys-syslog-perl_0.26-1_amd64.deb) ...
    Selecting previously deselected package libunix-syslog-perl.
    Unpacking libunix-syslog-perl (from .../libunix-syslog-perl_1.1-2_amd64.deb) ...
    Selecting previously deselected package lzop.
    Unpacking lzop (from .../lzop_1.02~rc1-2_amd64.deb) ...
    Selecting previously deselected package nomarch.
    Unpacking nomarch (from .../nomarch_1.4-1_amd64.deb) ...
    Selecting previously deselected package re2c.
    Unpacking re2c (from .../re2c_0.13.5-1_amd64.deb) ...
    Selecting previously deselected package spamassassin.
    Unpacking spamassassin (from .../spamassassin_3.2.5-2+lenny1_all.deb) ...
    Selecting previously deselected package spamc.
    Unpacking spamc (from .../spamc_3.2.5-2+lenny1_amd64.deb) ...
    Selecting previously deselected package zip.
    Unpacking zip (from .../archives/zip_2.32-1_amd64.deb) ...
    Selecting previously deselected package zoo.
    Unpacking zoo (from .../archives/zoo_2.10-21_amd64.deb) ...
    Selecting previously deselected package amavisd-new.
    Unpacking amavisd-new (from .../amavisd-new_1%3a2.6.1.dfsg-1_all.deb) ...
    Setting up python-central (0.6.8) ...
    Setting up python-apt (0.7.7.1+nmu1) ...
    Setting up apt-listchanges (2.83) ...
    Creating config file /etc/apt/listchanges.conf with new version
    Setting up arj 
    (3.10.22-6) ...
    Setting up cabextract (1.2-3) ...
    Setting up libtommath0 (0.39-3) ...
    Setting up libclamav6 (0.95.2+dfsg-1~volatile1) ...
    Setting up clamav-base (0.95.2+dfsg-1~volatile1) ...
    open2fork failedCannot allocate memory at /usr/share/perl5/Debconf/ConfModule.pm line 59
    dpkg
    error processing clamav-base (--configure):
     
    subprocess post-installation script returned error exit status 12
    dpkg
    dependency problems prevent configuration of clamav-freshclam:
     
    clamav-freshclam depends on clamav-base (>= 0.95.2+dfsg-1~volatile1); however:
      
    Package clamav-base is not configured yet.
    dpkgerror processing clamav-freshclam (--configure):
     
    dependency problems leaving unconfigured
    dpkg
    dependency problems prevent configuration of clamav:
     
    clamav depends on clamav-freshclam clamav-datahowever:
      
    Package clamav-freshclam is not configured yet.
      
    Package clamav-data is not installed.
      
    Package clamav-freshclam which provides clamav-data is not configured yet.
    dpkgerror processing clamav (--configure):
     
    dependency problems leaving unconfigured
    dpkg
    dependency problems prevent configuration of clamav-daemon:
     
    clamav-daemon depends on clamav-base (= 0.95.2+dfsg-1~volatile1); however:
      
    Package clamav-base is not configured yet.
     
    clamav-daemon depends on clamav-freshclam clamav-datahowever:
      
    Package clamav-freshclam is not configured yet.
      
    Package clamav-data is not installed.
      
    Package clamav-freshclam which provides clamav-data is not configured yet.
    dpkgerror processing clamav-daemon (--configure):
     
    dependency problems leaving unconfigured
    Setting up clamav
    -docs (0.95.2+dfsg-1~volatile1) ...
    Setting up libgmp3c2 (2:4.2.2+dfsg-3) ...
    Setting up libmpfr1ldbl (2.3.1.dfsg.1-2) ...
    Setting up cpp-4.3 (4.3.2-1.1) ...
    Setting up cpp (4:4.3.2-2) ...
    Setting up daemon (0.6.3-1) ...
    Setting up libgomp1 (4.3.2-1.1) ...
    Setting up gcc-4.3 (4.3.2-1.1) ...
    Setting up gcc (4:4.3.2-2) ...
    Setting up libcompress-raw-zlib-perl (2.012-1lenny1) ...
    Setting up libio-compress-base-perl (2.012-1) ...
    Setting up libio-compress-zlib-perl (2.012-1) ...
    Setting up libcompress-zlib-perl (2.012-1) ...
    Setting up libarchive-zip-perl (1.18-1) ...
    Setting up libauthen-sasl-perl (2.12-1) ...
    Setting up libberkeleydb-perl (0.34-1+b1) ...
    Setting up linux-libc-dev (2.6.26-19lenny2) ...
    Setting up libc6-dev (2.7-18) ...
    Setting up libconvert-asn1-perl (0.21-1) ...
    Setting up libconvert-tnef-perl (0.17-8) ...
    Setting up libconvert-uulib-perl (1.11-1) ...
    Setting up libdigest-sha1-perl (2.11-2+b1) ...
    Setting up libdigest-hmac-perl (1.01-7) ...
    Setting up liberror-perl (0.17-1) ...
    Setting up libio-multiplex-perl (1.09-2) ...
    Setting up libsocket6-perl (0.20-1) ...
    Setting up libio-socket-inet6-perl (2.54-1) ...
    Setting up libio-socket-ssl-perl (1.16-1+lenny1) ...
    Setting up libio-string-perl (1.08-2) ...
    Setting up liblzo2-(2.03-1) ...
    Setting up libnetaddr-ip-perl (4.007+dfsg-2+b1) ...
    Setting up libnet-ip-perl (1.25-2) ...
    Setting up libnet-dns-perl (0.63-2) ...
    Setting up libmail-spf-perl (2.005-1) ...
    Setting up libnet-cidr-perl (0.11-3) ...
    Setting up libnet-ident-perl (1.20-5) ...
    Setting up libnet-ldap-perl (1:0.36-1) ...
    Setting up libnet-libidn-perl (0.07-1+b1) ...
    Setting up libnet-server-perl (0.97-1) ...
    Setting up libsys-hostname-long-perl (1.4-2) ...
    Setting up libsys-syslog-perl (0.26-1) ...
    Setting up libunix-syslog-perl (1.1-2) ...
    Setting up lzop (1.02~rc1-2) ...
    Setting up nomarch (1.4-1) ...
    Setting up re2c (0.13.5-1) ...
    Setting up spamassassin (3.2.5-2+lenny1) ...
    SpamAssassin Mail Filter Daemondisabledsee /etc/default/spamassassin
    Setting up spamc 
    (3.2.5-2+lenny1) ...
    Setting up zip (2.32-1) ...
    Setting up zoo (2.10-21) ...
    Setting up amavisd-new (1:2.6.1.dfsg-1) ...
    Creating/updating amavis user account...
    Starting amavisdfetch_moduleserror loading optional module PerlIO/scalar.pm:
      
    Can't load '/usr/lib/perl/5.10/auto/PerlIO/scalar/scalar.so' for module PerlIO::scalar: /usr/lib/perl/5.10/auto/PerlIO/scalar/scalar.so: failed to map segment from shared object: Cannot allocate memory at /usr/lib/perl/5.10/XSLoader.pm line 64.
       at /usr/lib/perl/5.10/PerlIO/scalar.pm line 4
      Compilation failed in require at /usr/sbin/amavisd-new line 193.
    drop_priv: No such username: 
    (failed).
    invoke-rc.d: initscript amavis, action "start" failed.
    WARNING: Starting amavisd-new failed. Please check your configuration.
    Errors were encountered while processing:
     clamav-base
     clamav-freshclam
     clamav
     clamav-daemon
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    При попытке установить
    PHP:
    apt-get install apache2 apache2.2-common apache2-doc apache2-mpm-prefork apache2-utils libexpat1 ssl-cert libapache2-mod-php5 php5 php5-common php5-gd php5-mysql php5-imap phpmyadmin php5-cli php5-cgi libapache2-mod-fcgid apache2-suexec php-pear php-auth php5-mcrypt mcrypt php5-imagick imagemagick libapache2-mod-suphp
    получил ошибки как это исправить ?
    PHP:
    buhalych:~# apt-get install apache2 apache2.2-common apache2-doc apache2-mpm-prefork apache2-utils libexpat1 ssl-cert libapache2-mod-php5 php5 php5-common php5-gd php5-mysql php5-imap phpmyadmin php5-cli php5-cgi libapache2-mod-fcgid apache2-suexec php-pear php-auth php5-mcrypt mcrypt php5-imagick imagemagick libapache2-mod-suphp
    Reading package lists... Done
    Building dependency tree       
    Reading state information
    ... Done
    apache2 is already the newest version
    .
    apache2.2-common is already the newest version.
    apache2-doc is already the newest version.
    apache2-mpm-prefork is already the newest version.
    apache2-utils is already the newest version.
    libexpat1 is already the newest version.
    ssl-cert is already the newest version.
    The following extra packages will be installed:
      
    djvulibre-desktop ghostscript gs-common gsfonts hicolor-icon-theme
      libatk1.0
    -0 libatk1.0-data libc-client2007b libcairo2 libcroco3 libcups2
      libcupsimage2 libdatrie0 libdirectfb
    -1.0-0 libdjvulibre21 libfontenc1
      libgd2
    -xpm libgraphviz4 libgs8 libgsf-1-114 libgsf-1-common libgtk2.0-0
      libgtk2.0
    -bin libgtk2.0-common libilmbase6 libjasper1 libmagick10 libmcrypt4
      libmhash2 libopenexr6 libpango1.0
    -0 libpango1.0-common libpixman-1-0
      librsvg2
    -2 libt1-5 libthai-data libthai0 libts-0.0-0 libwmf0.2-7
      libxcb
    -render-util0 libxcb-render0 libxcomposite1 libxcursor1 libxdamage1
      libxfixes3 libxfont1 libxft2 libxi6 libxinerama1 libxrandr2 libxrender1
      mlock psfontmgr suphp
    -common x-ttcidfont-conf xfonts-encodings xfonts-utils
    Suggested packages
    :
      
    djview4 djvu-viewer evince ghostscript-x hpijs uw-mailutils cups-common
      libgd
    -tools librsvg2-common libjasper-runtime libwmf-bin html2ps
      libmcrypt
    -dev ttf-kochi-gothic ttf-kochi-mincho ttf-thryomanes ttf-baekmuk
      ttf
    -arphic-gbsn00lp ttf-arphic-bsmi00lp ttf-arphic-gkai00mp
      ttf
    -arphic-bkai00mp librsvg2-bin php-log php-soap php5-dev php4-dev
    The following 
    NEW packages will be installed:
      
    apache2-suexec djvulibre-desktop ghostscript gs-common gsfonts
      hicolor
    -icon-theme imagemagick libapache2-mod-fcgid libapache2-mod-php5
      libapache2
    -mod-suphp libatk1.0-0 libatk1.0-data libc-client2007b libcairo2
      libcroco3 libcups2 libcupsimage2 libdatrie0 libdirectfb
    -1.0-0 libdjvulibre21
      libfontenc1 libgd2
    -xpm libgraphviz4 libgs8 libgsf-1-114 libgsf-1-common
      libgtk2.0
    -0 libgtk2.0-bin libgtk2.0-common libilmbase6 libjasper1
      libmagick10 libmcrypt4 libmhash2 libopenexr6 libpango1.0
    -0
      libpango1.0
    -common libpixman-1-0 librsvg2-2 libt1-5 libthai-data libthai0
      libts
    -0.0-0 libwmf0.2-7 libxcb-render-util0 libxcb-render0 libxcomposite1
      libxcursor1 libxdamage1 libxfixes3 libxfont1 libxft2 libxi6 libxinerama1
      libxrandr2 libxrender1 mcrypt mlock php
    -auth php-pear php5 php5-cgi php5-cli
      php5
    -common php5-gd php5-imagick php5-imap php5-mcrypt php5-mysql phpmyadmin
      psfontmgr suphp
    -common x-ttcidfont-conf xfonts-encodings xfonts-utils
    0 upgraded
    75 newly installed0 to remove and 0 not upgraded.
    4 not fully installed or removed.
    Need to get 42.7MB of archives.
    After this operation123MB of additional disk space will be used.
    Do 
    you want to continue [Y/n]? y
    Get
    :1 http://ftp.de.debian.org lenny/main libxfixes3 1:4.0.3-2 [10.8kB]
    Get:2 http://ftp.de.debian.org lenny/main apache2-suexec 2.2.9-10+lenny4 [82.1kB]
    Get:3 http://ftp.de.debian.org lenny/main djvulibre-desktop 3.5.20-8+lenny1 [80.5kB]
    Get:4 http://ftp.de.debian.org lenny/main libcups2 1.3.8-1+lenny6 [169kB]
    Get:5 http://ftp.de.debian.org lenny/main libcupsimage2 1.3.8-1+lenny6 [99.7kB]
    Get:6 http://ftp.de.debian.org lenny/main libgs8 8.62.dfsg.1-3.2lenny1 [2325kB]
    Get:7 http://ftp.de.debian.org lenny/main gs-common 8.62.dfsg.1-3.2lenny1 [28.7kB]
    Get:8 http://ftp.de.debian.org lenny/main gsfonts 1:8.11+urwcyr1.0.7~pre44-3 [3373kB]
    Get:9 http://ftp.de.debian.org lenny/main ghostscript 8.62.dfsg.1-3.2lenny1 [798kB]
    Get:10 http://ftp.de.debian.org lenny/main hicolor-icon-theme 0.10-1 [10.1kB]  
    Get:11 http://ftp.de.debian.org lenny/main libts-0.0-0 1.0-4 [28.4kB]          
    Get:12 http://ftp.de.debian.org lenny/main libdirectfb-1.0-0 1.0.1-11 [1211kB] 
    Get:13 http://ftp.de.debian.org lenny/main libpixman-1-0 0.10.0-2 [77.0kB]     
    Get:14 http://ftp.de.debian.org lenny/main libxcb-render0 1.1-1.2 [21.8kB]     
    Get:15 http://ftp.de.debian.org lenny/main libxcb-render-util0 0.2.1+git1-1 [9760B]
    Get:16 http://ftp.de.debian.org lenny/main libxrender1 1:0.9.4-2 [28.1kB]      
    Get:17 http://ftp.de.debian.org lenny/main libcairo2 1.6.4-7 [559kB]           
    Get:18 http://ftp.de.debian.org lenny/main libdjvulibre21 3.5.20-8+lenny1 [703kB]
    Get:19 http://ftp.de.debian.org lenny/main libgd2-xpm 2.0.36~rc1~dfsg-3 [230kB]
    Get:20 http://ftp.de.debian.org lenny/main libpango1.0-common 1.20.5-5 [64.6kB]
    Get:21 http://ftp.de.debian.org lenny/main libdatrie0 0.1.3-2 [19.8kB]         
    Get:22 http://ftp.de.debian.org lenny/main libthai-data 0.1.9-4 [162kB]        
    Get:23 http://ftp.de.debian.org lenny/main libthai0 0.1.9-4 [33.2kB]           
    Get:24 http://ftp.de.debian.org lenny/main libxft2 2.1.12-3 [52.1kB]           
    Get:25 http://ftp.de.debian.org lenny/main libpango1.0-0 1.20.5-5 [313kB]      
    Get:26 http://ftp.de.debian.org lenny/main libgraphviz4 2.20.2-3 [581kB]       
    Get:27 http://ftp.de.debian.org lenny/main libgtk2.0-common 2.12.12-1~lenny1 [5488kB]
    Get:28 http://ftp.de.debian.org lenny/main libatk1.0-0 1.22.0-1 [84.9kB]       
    Get:29 http://ftp.de.debian.org lenny/main libxcomposite1 1:0.4.0-3 [11.6kB]   
    Get:30 http://ftp.de.debian.org lenny/main libxcursor1 1:1.1.9-1 [25.6kB]      
    Get:31 http://ftp.de.debian.org lenny/main libxdamage1 1:1.1.1-4 [10.5kB]      
    Get:32 http://ftp.de.debian.org lenny/main libxi6 2:1.1.4-1 [26.5kB]           
    Get:33 http://ftp.de.debian.org lenny/main libxinerama1 2:1.0.3-2 [10.5kB]     
    Get:34 http://ftp.de.debian.org lenny/main libxrandr2 2:1.2.3-1 [24.0kB]       
    Get:35 http://ftp.de.debian.org lenny/main libgtk2.0-0 2.12.12-1~lenny1 [2299kB]
    Get:36 http://ftp.de.debian.org lenny/main libilmbase6 1.0.1-2+nmu2 [119kB]    
    Get:37 http://ftp.de.debian.org lenny/main libjasper1 1.900.1-5.1 [155kB]      
    Get:38 http://ftp.de.debian.org lenny/main libopenexr6 1.6.1-3+lenny3 [256kB]  
    Get:39 http://ftp.de.debian.org lenny/main libcroco3 0.6.1-2 [123kB]           
    Get:40 http://ftp.de.debian.org lenny/main libgsf-1-common 1.14.8-1lenny2 [58.3kB]
    Get:41 http://ftp.de.debian.org lenny/main libgsf-1-114 1.14.8-1lenny2 [148kB] 
    Get:42 http://ftp.de.debian.org lenny/main librsvg2-2 2.22.2-2lenny1 [143kB]   
    Get:43 http://ftp.de.debian.org lenny/updates/main libwmf0.2-7 0.2.8.4-6+lenny1 [187kB]
    Get:44 http://ftp.de.debian.org lenny/main libmagick10 7:6.3.7.9.dfsg2-1~lenny3 [4263kB]
    Get:45 http://ftp.de.debian.org lenny/main imagemagick 7:6.3.7.9.dfsg2-1~lenny3 [1431kB]
    Get:46 http://ftp.de.debian.org lenny/main libapache2-mod-fcgid 1:2.2-1 [43.8kB]
    Get:47 http://ftp.de.debian.org lenny/main php5-common 5.2.6.dfsg.1-1+lenny3 [368kB]
    Get:48 http://ftp.de.debian.org lenny/main libapache2-mod-php5 5.2.6.dfsg.1-1+lenny3 [2616kB]
    Get:49 http://ftp.de.debian.org lenny/main php5-cgi 5.2.6.dfsg.1-1+lenny3 [5083kB]
    Get:50 http://ftp.de.debian.org lenny/main suphp-common 0.6.2-3 [76.0kB]       
    Get:51 http://ftp.de.debian.org lenny/main libapache2-mod-suphp 0.6.2-3 [17.5kB]
    Get:52 http://ftp.de.debian.org lenny/main libatk1.0-data 1.22.0-1 [188kB]     
    Get:53 http://ftp.de.debian.org lenny/main mlock 7:2007b~dfsg-4+lenny3 [30.8kB]
    Get:54 http://ftp.de.debian.org lenny/main libc-client2007b 7:2007b~dfsg-4+lenny3 [772kB]
    Get:55 http://ftp.de.debian.org lenny/main libfontenc1 1:1.0.4-3 [19.1kB]      
    Get:56 http://ftp.de.debian.org lenny/main libgtk2.0-bin 2.12.12-1~lenny1 [147kB]
    Get:57 http://ftp.de.debian.org lenny/main libmcrypt4 2.5.7-5 [86.7kB]         
    Get:58 http://ftp.de.debian.org lenny/main libmhash2 0.9.9-1 [105kB]           
    Get:59 http://ftp.de.debian.org lenny/main libt1-5 5.1.2-3 [169kB]             
    Get:60 http://ftp.de.debian.org lenny/main libxfont1 1:1.3.3-1 [155kB]         
    Get:61 http://ftp.de.debian.org lenny/main mcrypt 2.6.4-3.2 [69.5kB]           
    Get:62 http://ftp.de.debian.org lenny/main php5-cli 5.2.6.dfsg.1-1+lenny3 [2563kB]
    Get:63 http://ftp.de.debian.org lenny/main php-pear 5.2.6.dfsg.1-1+lenny3 [335kB]
    Get:64 http://ftp.de.debian.org lenny/main php-auth 1.6.1-1 [77.3kB]           
    Get:65 http://ftp.de.debian.org lenny/main php5 5.2.6.dfsg.1-1+lenny3 [1078B]  
    Get:66 http://ftp.de.debian.org lenny/main php5-gd 5.2.6.dfsg.1-1+lenny3 [37.0kB]
    Get:67 http://ftp.de.debian.org lenny/main php5-imagick 2.1.1RC1-1 [101kB]     
    Get:68 http://ftp.de.debian.org lenny/main php5-imap 5.2.6.dfsg.1-1+lenny3 [38.1kB]
    Get:69 http://ftp.de.debian.org lenny/main php5-mcrypt 5.2.6.dfsg.1-1+lenny3 [14.2kB]
    Get:70 http://ftp.de.debian.org lenny/main php5-mysql 5.2.6.dfsg.1-1+lenny3 [73.7kB]
    Get:71 http://ftp.de.debian.org lenny/main psfontmgr 0.11.10-0.2 [22.2kB]      
    Get:72 http://ftp.de.debian.org lenny/main xfonts-encodings 1:1.0.2-3 [584kB]  
    Get:73 http://ftp.de.debian.org lenny/main xfonts-utils 1:7.4+1 [86.0kB]       
    Get:74 http://ftp.de.debian.org lenny/main x-ttcidfont-conf 31 [23.4kB]        
    Get:75 http://ftp.de.debian.org lenny/updates/main phpmyadmin 4:2.11.8.1-5+lenny3 [2884kB]
    Fetched 42.7MB in 2min31s (281kB/s)                                            
    Use 
    of uninitialized value in pattern match (m//) at /usr/share/perl5/Debconf/FrontEnd/ScreenSize.pm line 33, <> line 75.
    Use of uninitialized value in pattern match (m//) at /usr/share/perl5/Debconf/FrontEnd/ScreenSize.pm line 48, <> line 75.
    Can't fork at /usr/sbin/dpkg-preconfigure line 67, <> line 75.
    Selecting previously deselected package libxfixes3.
    (Reading database ... 28947 files and directories currently installed.)
    Unpacking libxfixes3 (from .../libxfixes3_1%3a4.0.3-2_amd64.deb) ...
    Selecting previously deselected package apache2-suexec.
    Unpacking apache2-suexec (from .../apache2-suexec_2.2.9-10+lenny4_amd64.deb) ...
    Selecting previously deselected package djvulibre-desktop.
    Unpacking djvulibre-desktop (from .../djvulibre-desktop_3.5.20-8+lenny1_amd64.deb) ...
    Selecting previously deselected package libcups2.
    Unpacking libcups2 (from .../libcups2_1.3.8-1+lenny6_amd64.deb) ...
    Selecting previously deselected package libcupsimage2.
    Unpacking libcupsimage2 (from .../libcupsimage2_1.3.8-1+lenny6_amd64.deb) ...
    Selecting previously deselected package libgs8.
    Unpacking libgs8 (from .../libgs8_8.62.dfsg.1-3.2lenny1_amd64.deb) ...
    Selecting previously deselected package gs-common.
    Unpacking gs-common (from .../gs-common_8.62.dfsg.1-3.2lenny1_all.deb) ...
    Selecting previously deselected package gsfonts.
    Unpacking gsfonts (from .../gsfonts_1%3a8.11+urwcyr1.0.7~pre44-3_all.deb) ...
    Selecting previously deselected package ghostscript.
    Unpacking ghostscript (from .../ghostscript_8.62.dfsg.1-3.2lenny1_amd64.deb) ...
    Selecting previously deselected package hicolor-icon-theme.
    Unpacking hicolor-icon-theme (from .../hicolor-icon-theme_0.10-1_all.deb) ...
    Selecting previously deselected package libts-0.0-0.
    Unpacking libts-0.0-0 (from .../libts-0.0-0_1.0-4_amd64.deb) ...
    Selecting previously deselected package libdirectfb-1.0-0.
    Unpacking libdirectfb-1.0-0 (from .../libdirectfb-1.0-0_1.0.1-11_amd64.deb) ...
    Selecting previously deselected package libpixman-1-0.
    Unpacking libpixman-1-0 (from .../libpixman-1-0_0.10.0-2_amd64.deb) ...
    Selecting previously deselected package libxcb-render0.
    Unpacking libxcb-render0 (from .../libxcb-render0_1.1-1.2_amd64.deb) ...
    Selecting previously deselected package libxcb-render-util0.
    Unpacking libxcb-render-util0 (from .../libxcb-render-util0_0.2.1+git1-1_amd64.deb) ...
    Selecting previously deselected package libxrender1.
    Unpacking libxrender1 (from .../libxrender1_1%3a0.9.4-2_amd64.deb) ...
    Selecting previously deselected package libcairo2.
    Unpacking libcairo2 (from .../libcairo2_1.6.4-7_amd64.deb) ...
    Selecting previously deselected package libdjvulibre21.
    Unpacking libdjvulibre21 (from .../libdjvulibre21_3.5.20-8+lenny1_amd64.deb) ...
    Selecting previously deselected package libgd2-xpm.
    Unpacking libgd2-xpm (from .../libgd2-xpm_2.0.36~rc1~dfsg-3_amd64.deb) ...
    Selecting previously deselected package libpango1.0-common.
    Unpacking libpango1.0-common (from .../libpango1.0-common_1.20.5-5_all.deb) ...
    Selecting previously deselected package libdatrie0.
    Unpacking libdatrie0 (from .../libdatrie0_0.1.3-2_amd64.deb) ...
    Selecting previously deselected package libthai-data.
    Unpacking libthai-data (from .../libthai-data_0.1.9-4_all.deb) ...
    Selecting previously deselected package libthai0.
    Unpacking libthai0 (from .../libthai0_0.1.9-4_amd64.deb) ...
    Selecting previously deselected package libxft2.
    Unpacking libxft2 (from .../libxft2_2.1.12-3_amd64.deb) ...
    Selecting previously deselected package libpango1.0-0.
    Unpacking libpango1.0-0 (from .../libpango1.0-0_1.20.5-5_amd64.deb) ...
    Selecting previously deselected package libgraphviz4.
    Unpacking libgraphviz4 (from .../libgraphviz4_2.20.2-3_amd64.deb) ...
    Selecting previously deselected package libgtk2.0-common.
    Unpacking libgtk2.0-common (from .../libgtk2.0-common_2.12.12-1~lenny1_all.deb) ...
    dpkg: unrecoverable fatal error, aborting:
     fork failed: Cannot allocate memory
    E: Sub-process /usr/bin/dpkg returned an error code (2)
    buhalych:~# 
     
  8. inecs

    inecs Создатель

    Регистр.:
    27 окт 2006
    Сообщения:
    31
    Симпатии:
    1
    1.Как добавить новый независимый домен ?
    Прописать его в конфигах Bind, Apache, MTA

    2.Как добавить под домен к уже существующему домену ?
    Тоже, что и в первом пункте, кроме MTA

    3.Как создать пользователя mql ?
    4.Как создать базу mql и потом подключить к ней пользователя ?
    MySQL? Почитайте основы бд MySQL Любая книга...

    5.Как создать пользователя ftp для разных доменов ?
    При добавлении нового пользователя в систему ему автоматически создается аккаунт на домашнюю папку. Остается только привязать home directory к нужной папке...

    Имею права root пользователя , на панель не хватает оперативки
    Поставьте себе ISPConfig или Webmin+Usermin+Virtualmin

    Вообщем подскажите как все это сделать при помощи ssh протактиний
    Начать с изучения книги Д Колесниченко "Linux сервер своими руками" и азов Линукса...
     
Статус темы:
Закрыта.